gtk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Gtk.MenuShell The MenuBar is a subclass of MenuShell which contains one to many MenuItem.

The result is a standard menu bar which can hold many menu items. allows for a shadow type to be set for aesthetic purposes.

`using System; using Gtk; public class MenuApp { public static void Main (string[] args) { new MenuApp(); } public MenuApp(){ Application.Init(); Window win = new Window ("Menu Sample App"); MenuBar mb = new MenuBar (); Menu file_menu = new Menu (); MenuItem exit_item = new MenuItem("Exit"); exit_item.Activated += new EventHandler (on_exit_item_activate); file_menu.Append (exit_item); MenuItem file_item = new MenuItem("File"); file_item.Submenu = file_menu; mb.Append (file_item); win.Add (mb); win.ShowAll (); Application.Run (); } public void on_exit_item_activate(object o, EventArgs args) { Application.Quit (); }`
- Constructor
  2.12.0.0
  A constructor.
- Constructor
  2.12.0.0
  System.Obsolete
  a
  Protected Constructor.
  Chain to this constructor if you have manually registered a native value for your subclass.
- Constructor
  2.12.0.0
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Property
  2.12.0.0
  GLib.Property("child-pack-direction")
  Gtk.PackDirection Child packing direction. a . Indicates how child menu items are layed out on the menu bar's submenus.
- Property
  2.12.0.0
  GLib.GType GType Property. a Returns the native value for .
- Property
  2.12.0.0
  GLib.Property("pack-direction")
  Gtk.PackDirection Packing direction. a . Indicates how menu items are layed out on the menu bar.